Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class TypeDeclElemPragma

    java.lang.Object
      javafe.ast.ASTNode
          javafe.ast.TypeDeclElemPragma

All Implemented Interfaces:
  java.lang.Cloneable, TypeDeclElem

Direct Known Subclasses:
  DependsPragma, ExprDeclPragma, GhostDeclPragma, IdExprDeclPragma, ModelConstructorDeclPragma, ModelDeclPragma, ModelMethodDeclPragma, ModelTypePragma, NamedExprDeclPragma, StillDeferredDeclPragma

public abstract class TypeDeclElemPragma
extends ASTNode
implements TypeDeclElem

Field Summary
`TypeDecl` | `parent`
`boolean` | `redundant`

Fields inherited from class javafe.ast.ASTNode
`decorations`

Constructor Summary
`protected` | `TypeDeclElemPragma()` Construct a raw TypeDeclElemPragma whose class invariant(s) have not yet been established.

Method Summary
`void` | `check()`
`void` | `decorate(ModifierPragmaVec modifierPragmas)`
`int` | `getModifiers()`
`TypeDecl` | `getParent()` The TypeDecl we are an element of, or null if we do not have a parent (cf. hasParent).
`ModifierPragmaVec` | `getPModifiers()`
`abstract int` | `getTag()` Return the tag of a node.
`boolean` | `isRedundant()`
`void` | `setModifiers(int m)`
`void` | `setParent(TypeDecl p)`
`void` | `setRedundant(boolean v)`

Methods inherited from class javafe.ast.ASTNode
`accept, accept, childAt, childCount, clone, clone, getDecorations, getEndLoc, getStartLoc, setDecorations, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javafe.ast.TypeDeclElem
`accept, accept, getStartLoc`

Field Detail

### redundant

    public boolean redundant

### parent

    public TypeDecl parent

Constructor Detail

### TypeDeclElemPragma

    protected TypeDeclElemPragma()

  Construct a raw TypeDeclElemPragma whose class invariant(s) have not yet been established. It is the caller's job to initialize the returned node's fields so that any class invariants hold.

Method Detail

### getParent

    public TypeDecl getParent()

  Description copied from interface: `TypeDeclElem`
  The TypeDecl we are an element of, or null if we do not have a parent (cf. hasParent).

  Specified by:
    `getParent` in interface `TypeDeclElem`

### setParent

    public void setParent(TypeDecl p)

  Specified by:
    `setParent` in interface `TypeDeclElem`

### decorate

    public void decorate(ModifierPragmaVec modifierPragmas)

### getTag

    public abstract int getTag()

  Description copied from interface: `TypeDeclElem`
  Return the tag of a node.

  Specified by:
    `getTag` in interface `TypeDeclElem`
  Specified by:
    `getTag` in class `ASTNode`

### getModifiers

    public int getModifiers()

  Specified by:
    `getModifiers` in interface `TypeDeclElem`

### setModifiers

    public void setModifiers(int m)

  Specified by:
    `setModifiers` in interface `TypeDeclElem`

### getPModifiers

    public ModifierPragmaVec getPModifiers()

  Specified by:
    `getPModifiers` in interface `TypeDeclElem`

### isRedundant

    public boolean isRedundant()

### setRedundant

    public void setRedundant(boolean v)

### check

    public void check()

  Overrides:
    `check` in class `ASTNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage